procuste.rtest {ade4} | R Documentation

## Monte-Carlo Test on the sum of the singular values of a procustean rotation (in R).

### Description

performs a Monte-Carlo Test on the sum of the singular values of a procustean rotation.

### Usage

    procuste.rtest(df1, df2, nrepet = 99, ...)

### Arguments

`df1` | a data frame
`df2` | a data frame
`nrepet` | the number of permutations
`...` | further arguments passed to or from other methods

### Value

returns a list of class `rtest`

### Author(s)

Daniel Chessel
Anne-Béatrice Dufour anne-beatrice.dufour@univ-lyon1.fr

### References

Jackson, D.A. (1995) PROTEST: a PROcustean randomization TEST of community environment concordance. Ecosciences, 2, 297–303.

### Examples

    data(doubs)
    pca1 <- dudi.pca(doubs$env, scal = TRUE, scann = FALSE)
    pca2 <- dudi.pca(doubs$fish, scal = FALSE, scann = FALSE)
    proc1 <- procuste(pca1$tab, pca2$tab)
    protest1 <- procuste.rtest(pca1$tab, pca2$tab, 999)
    protest1
    plot(protest1)

[Package ade4 version 1.7-13 Index]